Package com.pixelmed.doseocr

## Class ExposureDoseSequence

- java.lang.Object
- - com.pixelmed.doseocr.ExposureDoseSequence

-     public class ExposureDoseSequence
      extends java.lang.Object

  A class to extract Exposure Dose Sequence and related attributes from Philips modality dose report screen saves.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExposureDoseSequence()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CTDose` | `getCTDoseFromExposureDoseSequence​(AttributeList list, int debugLevel, CTIrradiationEventDataFromImages eventDataFromImages, boolean buildSR)` | Extract CTDose values from ExposureDoseSequence.
    `static CTDose` | `getCTDoseFromExposureDoseSequence​(AttributeList list, CTIrradiationEventDataFromImages eventDataFromImages, boolean buildSR)` | Extract CTDose values from ExposureDoseSequence.
    `static java.lang.String` | `getPhilipsPrivateDLPValue​(AttributeList list)` |
    `static java.lang.String` | `getValuesFromCommentsOnRadiationDose​(AttributeList list, java.util.Map<java.lang.String,​java.lang.String> DLPFromCommentsOnRadiationDoseIndexedBySeriesNumber, java.util.Map<java.lang.String,​java.lang.String> CTDIVolFromCommentsOnRadiationDoseIndexedBySeriesNumber)` | Extract DLP and CTDIVol values from CommentsOnRadiationDose string value.
    `static java.lang.String` | `getValuesFromCommentsOnRadiationDose​(AttributeList list, java.util.Map<java.lang.String,​java.lang.String> DLPFromCommentsOnRadiationDoseIndexedBySeriesNumber, java.util.Map<java.lang.String,​java.lang.String> CTDIVolFromCommentsOnRadiationDoseIndexedBySeriesNumber, int debugLevel)` | Extract DLP and CTDIVol values from CommentsOnRadiationDose string value.
    `static boolean` | `isPhilipsDoseScreenInstance​(AttributeList list)` |
    `static boolean` | `isPossiblyPhilipsDoseScreenInstance​(AttributeList list)` |
    `static boolean` | `isPossiblyPhilipsDoseScreenInstance​(java.lang.String manufacturer, java.lang.String sopClassUID, java.lang.String imageType)` |
    `static boolean` | `isPossiblyPhilipsDoseScreenSeries​(AttributeList list)` |
    `static boolean` | `isPossiblyPhilipsDoseScreenSeries​(java.lang.String manufacturer, java.lang.String modality, java.lang.String seriesNumber, java.lang.String seriesDescription)` |
    `static void` | `main​(java.lang.String[] arg)` | Extract the CT dose information from the Exposure Dose Sequence in a screen save or localizer image, correlate it with any acquired CT slice images.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExposureDoseSequence

          public ExposureDoseSequence()

  - ### Method Detail

    - #### getValuesFromCommentsOnRadiationDose

          public static java.lang.String getValuesFromCommentsOnRadiationDose​(AttributeList list,
                                                                              java.util.Map<java.lang.String,​java.lang.String> DLPFromCommentsOnRadiationDoseIndexedBySeriesNumber,
                                                                              java.util.Map<java.lang.String,​java.lang.String> CTDIVolFromCommentsOnRadiationDoseIndexedBySeriesNumber,
                                                                              int debugLevel)
                                                                       throws java.io.IOException

      Extract DLP and CTDIVol values from CommentsOnRadiationDose string value.

      Parameters:
        `list` - the list
        `DLPFromCommentsOnRadiationDoseIndexedBySeriesNumber` - map of DLP values indexed by series number to which to add extracted values
        `CTDIVolFromCommentsOnRadiationDoseIndexedBySeriesNumber` - map of CTDIVol values indexed by series number to which to add extracted values
        `debugLevel` - ignored
      Returns:
        the total DLP value extracted
      Throws:
        `java.io.IOException`

    - #### getValuesFromCommentsOnRadiationDose

          public static java.lang.String getValuesFromCommentsOnRadiationDose​(AttributeList list,
                                                                              java.util.Map<java.lang.String,​java.lang.String> DLPFromCommentsOnRadiationDoseIndexedBySeriesNumber,
                                                                              java.util.Map<java.lang.String,​java.lang.String> CTDIVolFromCommentsOnRadiationDoseIndexedBySeriesNumber)
                                                                       throws java.io.IOException

      Extract DLP and CTDIVol values from CommentsOnRadiationDose string value.

      Parameters:
        `list` - the list
        `DLPFromCommentsOnRadiationDoseIndexedBySeriesNumber` - map of DLP values indexed by series number to which to add extracted values
        `CTDIVolFromCommentsOnRadiationDoseIndexedBySeriesNumber` - map of CTDIVol values indexed by series number to which to add extracted values
      Returns:
        the total DLP value extracted
      Throws:
        `java.io.IOException`

    - #### getPhilipsPrivateDLPValue

          public static java.lang.String getPhilipsPrivateDLPValue​(AttributeList list)
                                                            throws DicomException

      Throws:
        `DicomException`

    - #### isPossiblyPhilipsDoseScreenSeries

          public static boolean isPossiblyPhilipsDoseScreenSeries​(java.lang.String manufacturer,
                                                                  java.lang.String modality,
                                                                  java.lang.String seriesNumber,
                                                                  java.lang.String seriesDescription)

    - #### isPossiblyPhilipsDoseScreenSeries

          public static boolean isPossiblyPhilipsDoseScreenSeries​(AttributeList list)

    - #### isPossiblyPhilipsDoseScreenInstance

          public static boolean isPossiblyPhilipsDoseScreenInstance​(java.lang.String manufacturer,
                                                                    java.lang.String sopClassUID,
                                                                    java.lang.String imageType)

    - #### isPossiblyPhilipsDoseScreenInstance

          public static boolean isPossiblyPhilipsDoseScreenInstance​(AttributeList list)

    - #### isPhilipsDoseScreenInstance

          public static boolean isPhilipsDoseScreenInstance​(AttributeList list)

    - #### getCTDoseFromExposureDoseSequence

          public static CTDose getCTDoseFromExposureDoseSequence​(AttributeList list,
                                                                 int debugLevel,
                                                                 CTIrradiationEventDataFromImages eventDataFromImages,
                                                                 boolean buildSR)
                                                          throws java.io.IOException,
                                                                 DicomException

      Extract CTDose values from ExposureDoseSequence. optionally building an RDSR object.

      Parameters:
        `list` - the list
        `debugLevel` - ignored
        `eventDataFromImages` - the per-event data or null
        `buildSR` - whether or not to extract composite context from the list for use later to build an RDSR
      Returns:
        the CTDose instance
      Throws:
        `java.io.IOException`
        `DicomException`

    - #### getCTDoseFromExposureDoseSequence

          public static CTDose getCTDoseFromExposureDoseSequence​(AttributeList list,
                                                                 CTIrradiationEventDataFromImages eventDataFromImages,
                                                                 boolean buildSR)
                                                          throws java.io.IOException,
                                                                 DicomException

      Extract CTDose values from ExposureDoseSequence. optionally building an RDSR object.

      Parameters:
        `list` - the list
        `eventDataFromImages` - the per-event data or null
        `buildSR` - whether or not to extract composite context from the list for use later to build an RDSR
      Returns:
        the CTDose instance
      Throws:
        `java.io.IOException`
        `DicomException`

    - #### main

          public static final void main​(java.lang.String[] arg)

      Extract the CT dose information from the Exposure Dose Sequence in a screen save or localizer image, correlate it with any acquired CT slice images.

      Parameters:
        `arg` - an array of 1 to 4 strings - the file name of the dose screen save image (or "-" if to search for dose screen amongst acquired images), then optionally the path to a DICOMDIR or folder containing acquired CT slice images (or "-" if none and more arguments) then optionally the name of Dose SR file to write (or "-" if none and more arguments)